<div *ngIf="control">
  <select class="form-control custom-select" [formControl]="control">
    <option *ngFor="let item of values | keyvalue" [ngValue]="item.key"> {{item.value}}</option>
  </select>
</div>
